## repsnapper 0+git20130603.7c690471

=== libraries/vmmlib/CMakeLists.txt ===
# Copyright (c) 2011 Daniel Pfeifer <daniel@pfeifer-mail.de>

cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
project(VMMLib)

enable_testing()

include_directories(include)

if(APPLE)
  find_library(LAPACK_LIBRARIES accelerate)
  if(LAPACK_LIBRARIES)
    set(LAPACK_FOUND TRUE)
  endif(LAPACK_LIBRARIES)
else(APPLE)
  enable_language(Fortran)
  find_package(LAPACK)
endif(APPLE)

if(LAPACK_FOUND)
  add_definitions(-DVMMLIB_USE_LAPACK=1)
endif(LAPACK_FOUND)

add_executable(vmmlib_test
  tests/cp3_tensor_test.cpp
  tests/frustum_test.cpp
  tests/jacobi_test.cpp
  tests/lapack_gaussian_elimination_test.cpp
  tests/lapack_linear_least_squares_test.cpp
  tests/lapack_svd_test.cpp
  tests/lapack_sym_eigs_test.cpp
# tests/matrix_compare_perf_test.cpp
  tests/matrix_pseudoinverse_test.cpp
  tests/matrix_test.cpp
  tests/perf_test.cpp
  tests/performance_test.cpp
  tests/qr_decomposition_test.cpp
  tests/quaternion_test.cpp
# tests/stringtests.cpp
  tests/svd_lapack_vs_old.cpp
  tests/svd_test.cpp
  tests/tensor3_iterator_test.cpp
  tests/tensor3_test.cpp
  tests/timer.cpp
  tests/tucker3_tensor_test.cpp
  tests/unit_test.cpp
  tests/vector_test.cpp
# tests/vmmlib_lapack_main.cpp
# tests/vmmlib_performance_tests_main.cpp
  tests/vmmlib_unit_tests_main.cpp
  )

target_link_libraries(vmmlib_test
  ${LAPACK_LIBRARIES}
  )

add_test(vmmlib_test vmmlib_test)

## repsnapper 0+git20120902.349ce298

=== debian/changelog ===
repsnapper (0+git20120902.349ce298-1) unstable; urgency=low

  * Initial release (Closes: #649392)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 08 Sep 2012 21:28:26 +0800

=== debian/control ===
Source: repsnapper
Section: utils
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               docbook-xsl,
               freeglut3-dev,
               intltool,
               libcairomm-1.0-dev,
               libgtkglext1-dev,
               libgtkmm-2.4-dev,
               libvmmlib-dev,
               libxml++2.6-dev,
               libzip-dev,
               xsltproc
Standards-Version: 3.9.3
Homepage: http://reprap.org/wiki/RepSnapper_Manual:Introduction

Package: repsnapper
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: STL to GCode Converter and print software for RepRap machines
 A RepRap is a 3D printer: a machine which can print 3-dimensional plastic
 objects from a computer model. Repsnapper can convert STL, which can be
 created with most 3D drawing programs like Blender, into GCode, which the
 RepRap can understand. It can also be used to send the result to the RepRap.

## repsnapper 0+git20130603.7c690471

=== debian/changelog ===
repsnapper (0+git20130603.7c690471-1) unstable; urgency=low

  * New upstream release
  * Drop 02_add_desktop_main_category.patch: in upstream already.
  * Add Build-Depends to libgtkglextmm-x11-1.2-dev, libpangox-1.0-dev
    (Closes: #709554, #713244)
  * Bump Standards-Version to 3.9.4: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 24 Jun 2013 01:37:09 +0800

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,14 @@
                intltool,
                libcairomm-1.0-dev,
                libgtkglext1-dev,
+               libgtkglextmm-x11-1.2-dev,
                libgtkmm-2.4-dev,
+               libpangox-1.0-dev,
                libvmmlib-dev,
                libxml++2.6-dev,
                libzip-dev,
                xsltproc
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://reprap.org/wiki/RepSnapper_Manual:Introduction
 
 Package: repsnapper

## repsnapper 2.3.2a4+git20140317.e132147d

=== debian/changelog ===
repsnapper (2.3.2a4+git20140317.e132147d-1) unstable; urgency=medium

  * New upstream release
    - Fix FTBFS on libzip-dev (Closes: #741757)
  * Bump Standards-Version to 3.9.5: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 18 Mar 2014 15:04:33 +0800

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libxml++2.6-dev,
                libzip-dev,
                xsltproc
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://reprap.org/wiki/RepSnapper_Manual:Introduction
 
 Package: repsnapper

## repsnapper 2.3.2a5

=== debian/changelog ===
repsnapper (2.3.2a5-1build4) wily; urgency=medium

  * No-change rebuild for libzip soname change

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Sep 2015 01:33:09 +0000

repsnapper (2.3.2a5-1build3) wily; urgency=medium

  * No-change rebuild for libxml++ soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Sep 2015 08:28:24 +0000

repsnapper (2.3.2a5-1build2) wily; urgency=medium

  * No-change rebuild against libgtkglextmm-x11-1.2-0v5.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 30 Aug 2015 03:19:09 -0400

repsnapper (2.3.2a5-1build1) wily; urgency=medium

  * No-change rebuild against libglibmm-2.4-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 21:52:19 +0000

repsnapper (2.3.2a5-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.6: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 22 Oct 2014 20:57:50 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: repsnapper
 Section: utils
 Priority: optional
-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
@@ -17,7 +18,7 @@
                libxml++2.6-dev,
                libzip-dev,
                xsltproc
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://reprap.org/wiki/RepSnapper_Manual:Introduction
 
 Package: repsnapper

## repsnapper 2.4a0

=== debian/changelog ===
repsnapper (2.4a0-2) unstable; urgency=low

  * Include patches from the upstream git repo (Closes: #814331)
    - 0011-replace-abs-with-std-abs-for-gcc6-compatibility.patch
      (Closes: #831081)
  * Include workaround 0105-include-asm-generic.patch (Closes: #810907)
  * Bump Standards-Version to 3.9.8: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 04 Jan 2017 19:53:22 +0800

repsnapper (2.4a0-1) unstable; urgency=low

  * New upstream release
  * Remove debian/repsnapper.menu: Already provided .desktop file.
  * debian/patches/0003-make-compile-with-gcc5.2.patch:
    - Cherry-pick upstream commit b7bf048e7a1b621274841ef40e017adabae5b8e3
    - Fixes FTBFS for gcc-5.2 (Closes: #805232)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 27 Nov 2015 00:14:05 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: repsnapper
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
@@ -18,7 +17,7 @@
                libxml++2.6-dev,
                libzip-dev,
                xsltproc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://reprap.org/wiki/RepSnapper_Manual:Introduction
 
 Package: repsnapper

## repsnapper 2.5a5

=== src/Makefile ===
# Delegate everything to the toplevel makefile
# this is only here so 'make' works in src/
all:
	@$(MAKE) -C .. $@

# Catch all rule
%:
	@$(MAKE) -C .. $@

=== libraries/vmmlib/CMakeLists.txt ===
# Copyright (c) 2011 Daniel Pfeifer <daniel@pfeifer-mail.de>

cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
project(vmmlib)

set(VERSION_MAJOR 1)
set(VERSION_MINOR 7)
set(VERSION_PATCH 0)
set(RELEASE_VERSION OFF) # OFF or ABI version
set(LAST_RELEASE 1.6.1)

option(VMMLIB_USE_BLAS "Disable to turn blas detection off" ON)
mark_as_advanced(VMMLIB_USE_BLAS)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/CMake)

set(MACPORTS_DIR eyescalePorts) # override for now...

include(Common)
include(GitTargets)
include(FindPackages)

if(CMAKE_COMPILER_IS_GNUCXX)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-shadow -Wno-sign-compare -Wno-extra -Wno-strict-aliasing")
endif()

include_directories(BEFORE ${CMAKE_SOURCE_DIR}/include)

if(APPLE)
  find_library(LAPACK_LIBRARIES Accelerate)
  if(LAPACK_LIBRARIES)
    set(LAPACK_FOUND TRUE)
  endif(LAPACK_LIBRARIES)
elseif(NOT CMAKE_CXX_COMPILER_ID MATCHES "Clang")
#  enable_language(Fortran OPTIONAL) # eile: Why needed?
  if (VMMLIB_USE_BLAS)
    find_package(BLAS)
    if(BLAS_FOUND)
      list(GET BLAS_LIBRARIES 0 BLAS_LIBRARY_DIR)
      get_filename_component(BLAS_LIBRARY_DIR ${BLAS_LIBRARY_DIR} PATH)
      find_path(BLAS_INCLUDE_DIR cblas.h ${BLAS_LIBRARY_DIR}/../include
        NO_DEFAULT_PATH)
      if(BLAS_INCLUDE_DIR)
        find_package(LAPACK)
      else()
        message(STATUS "Missing cblas.h in ${BLAS_LIBRARY_DIR}/../include, disabling BLAS support")
        set(BLAS_FOUND)
      endif()
    endif()
  endif()
endif()

set(DOCS README.md AUTHORS LICENSE.txt ACKNOWLEDGEMENTS)
set(BLAS_LIBRARIES blas)

update_file(${CMAKE_CURRENT_SOURCE_DIR}/include/vmmlib/version.in.hpp
  ${OUTPUT_INCLUDE_DIR}/vmmlib/version.hpp)

set(HEADERS
  ${OUTPUT_INCLUDE_DIR}/vmmlib/version.hpp
  include/vmmlib/aabb.hpp
  include/vmmlib/blas_daxpy.hpp
  include/vmmlib/blas_dgemm.hpp
  include/vmmlib/blas_dot.hpp
  include/vmmlib/blas_includes.hpp
  include/vmmlib/blas_types.hpp
  include/vmmlib/cp3_tensor.hpp
  include/vmmlib/enable_if.hpp
  include/vmmlib/exception.hpp
  include/vmmlib/frustum.hpp
  include/vmmlib/frustum_culler.hpp
  include/vmmlib/intersection.hpp
  include/vmmlib/jacobi_solver.hpp
  include/vmmlib/lapack.hpp
  include/vmmlib/lapack/detail/clapack.h
  include/vmmlib/lapack/detail/f2c.h
  include/vmmlib/lapack_gaussian_elimination.hpp
  include/vmmlib/lapack_includes.hpp
  include/vmmlib/lapack_linear_least_squares.hpp
  include/vmmlib/lapack_svd.hpp
  include/vmmlib/lapack_sym_eigs.hpp
  include/vmmlib/lapack_types.hpp
  include/vmmlib/linear_least_squares.hpp
  include/vmmlib/lowpass_filter.hpp
  include/vmmlib/math.hpp
  include/vmmlib/matrix.hpp
  include/vmmlib/matrix_functors.hpp
  include/vmmlib/matrix_pseudoinverse.hpp
  include/vmmlib/matrix_traits.hpp
  include/vmmlib/qr_decomposition.hpp
  include/vmmlib/qtucker3_tensor.hpp
  include/vmmlib/quaternion.hpp
  include/vmmlib/svd.hpp
  include/vmmlib/t3_converter.hpp
  include/vmmlib/t3_hooi.hpp
  include/vmmlib/t3_hopm.hpp
  include/vmmlib/t3_hosvd.hpp
  include/vmmlib/t3_ihopm.hpp
  include/vmmlib/t3_ihooi.hpp
  include/vmmlib/t3_ttm.hpp
  include/vmmlib/tensor3.hpp
  include/vmmlib/tensor3_iterator.hpp
  include/vmmlib/tucker3_exporter.hpp
  include/vmmlib/tucker3_importer.hpp
  include/vmmlib/tucker3_tensor.hpp
  include/vmmlib/util.hpp
  include/vmmlib/validator.hpp
  include/vmmlib/vector.hpp
  include/vmmlib/vector_traits.hpp
  include/vmmlib/visibility.hpp
  include/vmmlib/vmmlib.hpp
  include/vmmlib/vmmlib_config.hpp
  include/vmmlib/tensor4.hpp
  include/vmmlib/t4_converter.hpp
  include/vmmlib/t4_hooi.hpp
  include/vmmlib/t4_hosvd.hpp
  include/vmmlib/t4_ttm.hpp
  include/vmmlib/tucker4_tensor.hpp
)

set(TESTS
  tests/frustum_test.cpp
  tests/intersection_test.cpp
  tests/jacobi_test.cpp
  tests/matrix_test.cpp
  tests/perf_test.cpp
  tests/performance_test.cpp
  tests/qr_decomposition_test.cpp
  tests/quaternion_test.cpp
  tests/svd_test.cpp
  tests/timer.cpp
  tests/unit_test.cpp
  tests/unit_test_globals.cpp
  tests/lowpass_filter_test.cpp
  tests/vector_test.cpp
  tests/util_test.cpp
  tests/vmmlib_unit_tests_main.cpp
# tests/matrix_compare_perf_test.cpp
# tests/stringtests.cpp
# tests/vmmlib_lapack_main.cpp
# tests/vmmlib_performance_tests_main.cpp
)

if(LAPACK_FOUND)
  add_definitions(-DVMMLIB_USE_LAPACK)
  list(APPEND TESTS
    tests/blas_daxpy_test.cpp
    tests/blas_dgemm_test.cpp
    tests/blas_dot_test.cpp
    tests/cp3_tensor_test.cpp
    tests/lapack_gaussian_elimination_test.cpp
    tests/lapack_linear_least_squares_test.cpp
    tests/lapack_svd_test.cpp
    tests/lapack_sym_eigs_test.cpp
    tests/matrix_pseudoinverse_test.cpp
    tests/qtucker3_tensor_test.cpp
    tests/svd_lapack_vs_old.cpp
    tests/t3_hooi_test.cpp
    tests/t3_hopm_test.cpp
    tests/t3_hosvd_test.cpp
    tests/t3_ihooi_test.cpp
    tests/t3_ihopm_test.cpp
    tests/t3_ttm_test.cpp
    tests/tensor3_iterator_test.cpp
    tests/tensor3_test.cpp
    tests/tucker3_exporter_importer_test.cpp
    tests/tucker3_tensor_test.cpp
    tests/t4_hooi_test.cpp
    tests/t4_converter_test.cpp
    tests/tensor4_test.cpp
    tests/t4_ttm_test.cpp

)
endif()
if(BLAS_FOUND)
  add_definitions(-DVMMLIB_USE_BLAS)
endif()

if(NOT MSVC)
  add_executable(vmmlib_test ${HEADERS} ${TESTS})
  if(LAPACK_FOUND)
    target_link_libraries(vmmlib_test ${LAPACK_LIBRARIES})
  endif()
  if(BLAS_FOUND)
    target_link_libraries(vmmlib_test ${BLAS_LIBRARIES})
  endif()

  get_target_property(EXECUTABLE vmmlib_test LOCATION)
  STRING(REGEX REPLACE "\\$\\(.*\\)" "\${CTEST_CONFIGURATION_TYPE}"
    EXECUTABLE "${EXECUTABLE}")
  add_test(vmmlib_test ${EXECUTABLE})

  # workaround: 'make test' does not build tests beforehand
  add_custom_target(tests COMMAND ${CMAKE_CTEST_COMMAND} DEPENDS vmmlib_test)
  add_custom_target(vmmlib-test DEPENDS tests) # Travis CI hack
endif()

install(FILES ${HEADERS} DESTINATION include/vmmlib COMPONENT dev)
install(FILES ${DOCS} DESTINATION share/vmmlib COMPONENT dev)

include(DoxygenRule) # must be after all targets
include(CPackConfig)
include(CTest)
include(PackageConfig)

=== src/gcode/Makefile ===
# Delegate everything to the toplevel makefile
# this is only here so 'make' works in src/
all:
	@$(MAKE) -C ../.. $@

# Catch all rule
%:
	@$(MAKE) -C ../.. $@

=== debian/changelog ===
repsnapper (2.5a5-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 28 Jul 2017 11:14:43 +0800

repsnapper (2.5a4-1) unstable; urgency=low

  * New upstream release
    - Fix FTBFS caused by comparing Cairo::RefPtr to int (Closes: #867503)
  * Bump Standards-Version to 4.0.0: nothing needs to be changed.
  * Remove patches that has been applied in the upstream.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 07 Jul 2017 13:20:40 +0800

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libxml++2.6-dev,
                libzip-dev,
                xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://reprap.org/wiki/RepSnapper_Manual:Introduction
 
 Package: repsnapper

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"
DEB_SOURCE := $(shell dpkg-parsechangelog | grep Source: | sed -e 's/Source: //')
DEB_VERSION := $(shell dpkg-parsechangelog | grep Version: | sed -e 's/Version: //')
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -e 's/-[^-]*$$//')
GIT_URL = https://github.com/timschmidt/repsnapper.git

%:
	dh $@ --with autotools-dev --with autoreconf

override_dh_autoreconf:
	dh_autoreconf $(CURDIR)/autogen.sh

override_dh_auto_build: repsnapper.1
	dh_auto_build

repsnapper.1: debian/repsnapper.1.xml
	$(XP) $(DB2MAN) $<

get-orig-source:
	set -e; if echo $(DEB_VERSION) | grep -c "git"; \
	then \
		git_version=`echo $(DEB_VERSION) | sed -e 's/^.*git\([0-9]*\)*\.\(.*\)-.*$$/\2/g'`; \
	else \
		git_version=$(DEB_UPSTREAM_VERSION); \
	fi; \
	tmpdir=`mktemp -d -t`; \
	cd $$tmpdir; \
	echo "checkout upstream repository ..."; \
	git clone $(GIT_URL); echo "getting specific upstream revision/tag: $$git_version"; \
	cd `ls | head -n 1`; git checkout -b orig $$git_version; cd ..; \
	tar --exclude=.git --exclude=clipboard.swf -czvf $(CURDIR)/$(DEB_SOURCE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz `ls | head -n 1`; \
	cd $(CURDIR); \
	rm -rf $$tmpdir

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+git\d*\..*// \
https://github.com/timschmidt/repsnapper/tags .*[^n]/(?:v||release-|repsnapper[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
